@echo off
chcp 65001>NUL
REM AYTO TO SCRIPT ΚΑΤΕΒΑΖΕΙ ΒΙΝΤΕΟ ΑΠΟ ΤΟ ΔΙΑΔΙΚΤΥΟ ΜΕ ΤΟ FRONTEND TOY FFMPEG YT-DLP 
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:check_ytdlp
pushd "%cd%"
cd /D ..\..
rem ECHO 1o dir
rem dir
rem pushd 
if not exist "yt-dlp.exe" (
   echo.
   echo  ==============================================================================
   echo   #*#*#*#  TO ΠΡΟΓΡΑΜΜΑ YT-DLP ΛΕΙΠΕΙ ΚΑΙ ΔΕΝ ΜΠΟΡΩ ΝΑ ΣΥΝΕΧΙΣΩ...  #*#*#*#
   echo.
   echo.
   echo   Πρέπει να υπάρχει το Python Frontend του FFmpeg yt-dlp στον bin κατάλογο...
   echo.
   echo.  Αν δεν το έχετε μπορείτε να το κατεβάσετε απο τα releases του στο github.com
   echo.  και να το τοποθετήσετε στον ιδιο φάκελο bin που ειναι και το FFmpeg.exe 
   echo.
   echo.
   echo   H Url για να το κατεβάσετε είναι:  https://github.com/yt-dlp/yt-dlp/releases
   echo.
   echo  ===============================================================================

   echo.
   popd
   exit /b 0

) else (
	popd
	goto ROH
)

:ROH
rem echo 2o dir
rem DIR
rem pushd "%cd%"
cd /d "%cd%"
pushd "%cd%"
cd /D ..\../finalFFmpegScripts/Q/
set "appp=%cd%"
setlocal && cd /D "%arxiki%"

:Restart
echo.
echo Θα κατεβάσω το βιντεο που θα κάνεις επικόλληση την Διευθυνση της ως όρισμα.
echo.
set /p input="Επικολλήστε την Διεύθυνση από το βίντεο: "
echo.
call "%appp%\vid1Download-ytdlp.bat" "%input%"
endlocal
popd
